{"openapi":"3.0.1","info":{"title":"Pgate API","description":"Pgate API documentation","termsOfService":"","contact":{"name":"","url":"","email":""},"license":{"name":"unlicensed","url":""},"version":"0.0.1"},"servers":[{"url":"https://pgate-preprod.satse.dev","description":"Generated server url"}],"paths":{"/api/payments/{id}":{"get":{"tags":["payment-resource"],"operationId":"getPayment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PaymentDTO"}}}}}},"put":{"tags":["payment-resource"],"operationId":"updatePayment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PaymentDTO"}}}}}},"delete":{"tags":["payment-resource"],"operationId":"deletePayment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["payment-resource"],"operationId":"partialUpdatePayment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/PaymentDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PaymentDTO"}}}}}}},"/api/pgate-kafka/publish/{topic}":{"post":{"tags":["pgate-kafka-resource"],"operationId":"publish","parameters":[{"name":"topic","in":"path","required":true,"schema":{"type":"string"}},{"name":"message","in":"query","required":true,"schema":{"type":"string"}},{"name":"key","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublishResult"}}}}}}},"/api/payments":{"get":{"tags":["payment-resource"],"operationId":"getAllPayments","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/PaymentCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PaymentDTO"}}}}}}},"post":{"tags":["payment-resource"],"operationId":"createPayment","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PaymentDTO"}}}}}}},"/api/payments/form":{"post":{"tags":["payment-resource"],"operationId":"getPaycometForm","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderPaymentDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/paycomet/webhook":{"post":{"tags":["payment-resource"],"operationId":"paycometWebhook","parameters":[{"name":"params","in":"query","required":true,"schema":{"type":"object","additionalProperties":{"type":"string"}}}],"responses":{"200":{"description":"OK"}}}},"/api/paymentIntents/orderCode/{orderCode}":{"get":{"tags":["payment-intent-resource"],"operationId":"getPaymentIntentByOrderCode","parameters":[{"name":"orderCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PaymentIntentDTO"}}}}}},"patch":{"tags":["payment-intent-resource"],"operationId":"partialUpdatePaymentIntentByOrderCode","parameters":[{"name":"orderCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentIntentDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PaymentIntentDTO"}}}}}}},"/api/users":{"get":{"tags":["public-user-resource"],"operationId":"getAllPublicUsers","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserDTO"}}}}}}}},"/api/pgate-kafka/consume":{"get":{"tags":["pgate-kafka-resource"],"operationId":"consume","parameters":[{"name":"topic","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"consumerParams","in":"query","required":true,"schema":{"type":"object","additionalProperties":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SseEmitter"}}}}}}},"/api/payments/status/{code}":{"get":{"tags":["payment-resource"],"operationId":"status","parameters":[{"name":"code","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","enum":["INITIATED","FORM_CREATED","PAID_CONFIRMED","PAID_FAILED","PAID_LATE","EXPIRED","REFUNDED","REFUND_FAILED","UNKNOWN"]}}}}}}},"/api/payments/count":{"get":{"tags":["payment-resource"],"operationId":"countPayments","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/PaymentCriteria"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}}}},"/api/payments/confirm/{code}":{"get":{"tags":["payment-resource"],"operationId":"confirmCode","parameters":[{"name":"code","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/paymentIntents":{"get":{"tags":["payment-intent-resource"],"operationId":"getAllPaymentIntents","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/PaymentIntentCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PaymentIntentDTO"}}}}}}}},"/api/paymentIntents/{id}":{"get":{"tags":["payment-intent-resource"],"operationId":"getPaymentIntent","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PaymentIntentDTO"}}}}}},"delete":{"tags":["payment-intent-resource"],"operationId":"deletePaymentIntent","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}},"/api/paymentIntents/count":{"get":{"tags":["payment-intent-resource"],"operationId":"countPaymentIntents","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/PaymentIntentCriteria"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}}}},"/api/authorities":{"get":{"tags":["public-user-resource"],"operationId":"getAuthorities","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/api/admin/users":{"get":{"tags":["user-resource"],"operationId":"getAllUsers","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AdminUserDTO"}}}}}}}},"/api/admin/users/{login}":{"get":{"tags":["user-resource"],"operationId":"getUser","parameters":[{"name":"login","in":"path","required":true,"schema":{"pattern":"^(?>[a-zA-Z0-9!$&*+=?^_`{|}~.-]+@[a-zA-Z0-9-]+(?:\\.[a-zA-Z0-9-]+)*)|(?>[_.@A-Za-z0-9-]+)$","type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AdminUserDTO"}}}}}}},"/api/_search/users/{query}":{"get":{"tags":["public-user-resource"],"operationId":"search","parameters":[{"name":"query","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserDTO"}}}}}}}}},"components":{"schemas":{"PaymentDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"description":{"type":"string"},"amount":{"type":"number"}}},"PublishResult":{"type":"object","properties":{"topic":{"type":"string"},"partition":{"type":"integer","format":"int32"},"offset":{"type":"integer","format":"int64"},"timestamp":{"type":"string","format":"date-time"}}},"OrderPaymentDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"code":{"type":"string"},"description":{"type":"string"},"urlOk":{"type":"string"},"urlKo":{"type":"string"},"totalAmount":{"minimum":0,"exclusiveMinimum":false,"type":"number"}}},"PaymentIntentDTO":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"orderCode":{"type":"string"},"paycometOperationId":{"type":"string"},"status":{"type":"string","enum":["INITIATED","FORM_CREATED","PAID_CONFIRMED","PAID_FAILED","PAID_LATE","EXPIRED","REFUNDED","REFUND_FAILED","UNKNOWN"]},"amount":{"minimum":0,"exclusiveMinimum":false,"type":"number"},"currency":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"errorDescription":{"type":"string"},"rawPayload":{"type":"string"},"paymentMethod":{"type":"string"},"cardBrand":{"type":"string"},"errorCode":{"type":"string"},"userId":{"type":"string"},"bankDateTime":{"type":"string","format":"date-time"}},"description":"An paymentIntent, containing a set of product items"},"UserDTO":{"type":"object","properties":{"id":{"type":"string"},"login":{"type":"string"}}},"SseEmitter":{"type":"object","properties":{"timeout":{"type":"integer","format":"int64"}}},"BigDecimalFilter":{"type":"object","properties":{"equals":{"type":"number"},"notEquals":{"type":"number"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"number"}},"notIn":{"type":"array","items":{"type":"number"}},"greaterThan":{"type":"number"},"lessThan":{"type":"number"},"greaterThanOrEqual":{"type":"number"},"lessThanOrEqual":{"type":"number"}}},"LongFilter":{"type":"object","properties":{"equals":{"type":"integer","format":"int64"},"notEquals":{"type":"integer","format":"int64"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"integer","format":"int64"}},"notIn":{"type":"array","items":{"type":"integer","format":"int64"}},"greaterThan":{"type":"integer","format":"int64"},"lessThan":{"type":"integer","format":"int64"},"greaterThanOrEqual":{"type":"integer","format":"int64"},"lessThanOrEqual":{"type":"integer","format":"int64"}}},"PaymentCriteria":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/LongFilter"},"description":{"$ref":"#/components/schemas/StringFilter"},"amount":{"$ref":"#/components/schemas/BigDecimalFilter"},"distinct":{"type":"boolean"}}},"StringFilter":{"type":"object","properties":{"equals":{"type":"string"},"notEquals":{"type":"string"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string"}},"notIn":{"type":"array","items":{"type":"string"}},"contains":{"type":"string"},"doesNotContain":{"type":"string"}}},"InstantFilter":{"type":"object","properties":{"equals":{"type":"string","format":"date-time"},"notEquals":{"type":"string","format":"date-time"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string","format":"date-time"}},"notIn":{"type":"array","items":{"type":"string","format":"date-time"}},"greaterThan":{"type":"string","format":"date-time"},"lessThan":{"type":"string","format":"date-time"},"greaterThanOrEqual":{"type":"string","format":"date-time"},"lessThanOrEqual":{"type":"string","format":"date-time"}}},"PaymentIntentCriteria":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/UUIDFilter"},"orderCode":{"$ref":"#/components/schemas/StringFilter"},"paycometOperationId":{"$ref":"#/components/schemas/StringFilter"},"status":{"$ref":"#/components/schemas/PaymentStatusFilter"},"amount":{"$ref":"#/components/schemas/BigDecimalFilter"},"currency":{"$ref":"#/components/schemas/StringFilter"},"createdAt":{"$ref":"#/components/schemas/InstantFilter"},"updatedAt":{"$ref":"#/components/schemas/InstantFilter"},"errorDescription":{"$ref":"#/components/schemas/StringFilter"},"distinct":{"type":"boolean"}}},"PaymentStatusFilter":{"type":"object","properties":{"equals":{"type":"string","enum":["INITIATED","FORM_CREATED","PAID_CONFIRMED","PAID_FAILED","PAID_LATE","EXPIRED","REFUNDED","REFUND_FAILED","UNKNOWN"]},"notEquals":{"type":"string","enum":["INITIATED","FORM_CREATED","PAID_CONFIRMED","PAID_FAILED","PAID_LATE","EXPIRED","REFUNDED","REFUND_FAILED","UNKNOWN"]},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string","enum":["INITIATED","FORM_CREATED","PAID_CONFIRMED","PAID_FAILED","PAID_LATE","EXPIRED","REFUNDED","REFUND_FAILED","UNKNOWN"]}},"notIn":{"type":"array","items":{"type":"string","enum":["INITIATED","FORM_CREATED","PAID_CONFIRMED","PAID_FAILED","PAID_LATE","EXPIRED","REFUNDED","REFUND_FAILED","UNKNOWN"]}}}},"UUIDFilter":{"type":"object","properties":{"equals":{"type":"string","format":"uuid"},"notEquals":{"type":"string","format":"uuid"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string","format":"uuid"}},"notIn":{"type":"array","items":{"type":"string","format":"uuid"}}}},"AdminUserDTO":{"required":["login"],"type":"object","properties":{"id":{"type":"string"},"login":{"maxLength":50,"minLength":1,"pattern":"^(?>[a-zA-Z0-9!$&*+=?^_`{|}~.-]+@[a-zA-Z0-9-]+(?:\\.[a-zA-Z0-9-]+)*)|(?>[_.@A-Za-z0-9-]+)$","type":"string"},"firstName":{"maxLength":50,"minLength":0,"type":"string"},"lastName":{"maxLength":50,"minLength":0,"type":"string"},"email":{"maxLength":254,"minLength":5,"type":"string"},"imageUrl":{"maxLength":256,"minLength":0,"type":"string"},"activated":{"type":"boolean"},"langKey":{"maxLength":10,"minLength":2,"type":"string"},"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"authorities":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}}}}}